@font-face {
    font-family: "CambonNarrow";
    src: url('./fonts/CambonNarrow-Regular.woff');
}
@font-face {
    font-family: "GeneralGrotesque";
    src: url('./fonts/GeneralGrotesque-Regular.woff');
}
@font-face {
    font-family: "GeneralGrotesqueMonoRegular";
    font-weight: bold;
    src: url('./fonts/GeneralGrotesqueMono-Bold.woff');
}
@font-face {
    font-family: "GeneralGrotesqueMonoRegular";
    src: url('./fonts/GeneralGrotesqueMono-Regular.woff');
}
html{
    --white:#FFF;
    --black:#000;
    --rose:#FFD8D2;
    --lightgray:#F7F7F7;
    --padding:10px;
}
html,
body{
    font-size: 12px;
    line-height: 1.3;
}
body{
    font-family: "GeneralGrotesque";
    max-width:unset;/*100rem;*/
    padding: 0;
}
body.freeze{
    overflow: hidden;
    pointer-events: none;
}
main.main{
    padding-top: 50px;
    padding-bottom: 1rem;
}
.header{
    padding: 0 12px;
    border-top: 6px solid var(--rose);
    background: var(--white);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;/*calc(100% + 24px);*/
    margin: 0;
    z-index: 10;
    justify-content: left;
    font-family: "GeneralGrotesqueMonoRegular";
}
.header .logo{
    width: calc(55.55% + 6.66px);
    padding: 0;
}
.header .menu{
    margin-left: -1rem;
}
.header .menu a:hover,
.header .menu a[aria-current] {
    font-weight: bold;
    text-decoration: none;
}
.container{
    max-width: unset;
    padding: 0 12px;
}
img{
    display: block;
}
video{
    max-width: 100%;
}
strong{
    font-weight: bold;
}

.columns{
    display: flex;
    flex-wrap: wrap;
    gap: 12px;
}


.columns .column {
    flex: 50%;
}
.columns .column.even {
    text-align: right;
    text-align: -webkit-right;
}
.columns .column .projectcolumn {
    max-width: 400px;
}




div[data-barba=wrapper]{
    z-index: 0;
    position: relative;
}
.loading-screen {
    position: relative;
    padding-left: 0;
    padding-right: 0;
    padding-top: 0;
    background-color: #FFD8D2;
    width: 100vw;
    height: 100vh;
    transform: scaleY(0) translateY(0);
    transition-timing-function: ease-out;
    transform-origin: top left;
    z-index: 200;
}

.loading-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    z-index: 10;
    pointer-events: none;
}

.projet .heading{
    margin-bottom: calc(11.11% - 10.67px);
    max-width: 50%;
}
.projet .column{
    display: grid;
}
.projet figure{
    justify-self: center;
    max-height: 95vh;
}
.projet .legend{
    margin:0.5rem 0;
    contain: size;
}
.projet .column.end,
.projet .column.half:nth-child(even){
    grid-column-end: 10;
}
.projet .column.half:nth-child(odd) figure{
    justify-self: right;
}
.projet .column.half:nth-child(even) figure{
    justify-self: left;
}
/*.blocks>.block-type-textblock*/
.projet .blocks{
    height: 100%;
    align-content: center;
}
.projet .blocks .block~.block {
    margin-top: 2rem;
}
/*
.projet .blocks .block~.block {
    margin-top: calc(11.11% - 10.67px);
}
.projet .column.half .block~.block {
    margin-top: calc(22.22% - 10.67px);
}
*/
.projet .column{
    margin-bottom: calc(11.11% - 10.67px);
}
.projet .column.half{
    margin-bottom: calc(22.22% - 10.67px);
}
.projet .column.half .blocks>.block-type-textblock{
    height: inherit;
}
.projet .blocks>.block-type-textblock{
    font-size: 2rem;
}
.projet .blocks>.block-type-textblock .text-wrapper{
    height: inherit;
    align-content: center;
}
.projet .blocks>.block-type-textblock .text-wrapper.sticky{
    align-content: unset;
}
.projet .blocks>.block-type-textblock div.sticky .text{
    position: sticky;
    top: 4rem;
}
.projet .bottomtext{
    font-size: 2rem;
    line-height: 1.2;
}
.projet .textdetails p{
    margin-bottom: 1em;
}
.projet .textdetails a[href]{
    text-decoration: underline;
}

.block-type-imageblock figure {
    text-align: left;
}
.block-type-videoblock figure video,
.block-type-imageblock figure img {
    width: auto;
    max-height: 95vh;
    max-width: 100%;
}

.block-type-videoblock figure.fullwidth video,
.block-type-imageblock figure.fullwidth img {
    width: 100%;
    display: block;
    /*max-height: fit-content;*/
    max-height: none;
}
.projet figure.fullwidth{
    max-height: none;
    justify-self: unset;
}
.videoblock{
    position: relative;
}
.videoblock .controls{
    position: absolute;
    bottom: 0;
    padding: 2rem;
}
.videoblock button{
    border-radius: 3px;
    width: 3rem;
    height: 3rem;
    margin-right: 1rem;
}
.videoblock #play,
.videoblock #mute{
    background-color: var(--black);
}
.videoblock #play{
    background-image: url(../icons/play.svg);
}
.videoblock #play.playing{
    background-image: url(../icons/pause.svg);
}
.videoblock #mute{
    background-image: url(../icons/muted.svg);
}
.videoblock #mute.muted{
    background-image: url(../icons/unmuted.svg);
}
/*
.videoblock #play:after{
    content: "play";
    color: var(--white);
    background-color: var(--black);
}
.videoblock #play.playing:after{
    content: "pause";
}
.videoblock #mute:after{
    content: "mute";
    color: var(--white);
    background-color: var(--black);
}
.videoblock #mute.muted:after{
    content: "unmute";
}
    */
main.main-projet .bottomtext p,
main.main-infos .body p {
    margin-bottom: 1em;
}


/*.blocks>.block-type-heading */
h1, 
h2, 
.blocks>.block-type-textblock div.big,
main.main-selection .chapo,
main.main-infos .chapo{
    font-family: "CambonNarrow";
    /*font-size: 49.6px;*/
    font-size: calc((100vw - var(--padding) * 2) / 30);
    line-height: 1.1;
}
.textdetails p,
.legend p,
.bouton .btn,
main.main-infos .contactinfo,
main.main-infos .clients,
main.main-infos .services,
main.main-infos .pagefooter{
    font-family: "GeneralGrotesqueMonoRegular";
    font-size: 12px;
}


main.main-selection .chapo{
    width: 44.44%;
}
main.main-infos .chapo{
    margin-bottom: 1rem;
}
main.main-infos .body{
    font-family: "GeneralGrotesque";
    font-size: 24px;
    margin-bottom: 24px;
}

.bouton{
    margin: 1em 0;
    padding: 1em 0;
}
.bouton .btn{
    border: 1px solid;
    border-radius: 2px;
    padding: 0.75em 1em;
    text-decoration: none;
}
.bouton .btn:hover{
    background-color: var(--black);
    border-color: var(--black);
    color: var(--white);
}

main.main-projets{
    max-width: unset;
    padding-top: calc(11.11% + 50px);
}
main.main-projet .nextprojet a:nth-child(odd) .projet-row,
main.main-projets a:nth-child(odd) .projet-row{
    background-color: var(--lightgray);
}
@media (hover: hover) {
    main.main-projet .nextprojet a[href] .projet-row:hover,
    main.main-projets a[href] .projet-row:hover{
        background-color: var(--rose);
    }
}
main.main-projet .nextprojet .projet-row,
main.main-projets .projet-row{
    font-family: "GeneralGrotesqueMonoRegular";
    font-size: 12px;
}
main.main-projet .nextprojet .grid,
main.main-projets .grid{
  margin-bottom: calc(11.11% - 10.67px);
}
main.main-projet .nextprojet .cover,
main.main-projets .cover{
    display: none;
    position: fixed;
    right:12px;
    bottom:12px;
    width: 22.22%;
}
main.main-projet .nextprojet a:hover .cover,
main.main-projets a:hover .cover{
    display: block;
}

main.main-images .tags,
main.main-projets .tags{
    word-spacing: 12px;
    text-transform: capitalize;
    font-family: "GeneralGrotesqueMonoRegular";
    padding: 1rem 0;
}
main.main-images .tags a:hover,
main.main-images .tags a.current,
main.main-projets .tags a:hover,
main.main-projets .tags a.current{
    font-weight: bold;
}
main.main.main-projet{
    padding-bottom: 0;
}


.img-caption,
.video-caption{
    padding: 0.5rem 0;
    font-size: 1rem;
    font-family: "GeneralGrotesqueMonoRegular";
}
.projets h2.fixedtitle {
    position: fixed;
    top: 50%;
    left: 50%;
    text-align: center;
    transform: translate(-50%, -50%);
    max-width: 40%;
    pointer-events: none;
    opacity: 0;
    transition: opacity .3s;
    font-size: calc((100vw - var(--padding) * 2) / 15);
    line-height: 1;
}
.projets .projetcard:hover h2{
    opacity: 1;
}
.fluid-container.projets .col-4:nth-child(even) {
    margin-left: calc(11.1111111% + 12px);
}
.fluid-container.projets .col-4:nth-child(4n+1),
.fluid-container.projets .col-4:nth-child(4n+2) {
    padding-left: 11.1111111%;
}
.fluid-container.projets .col-4:nth-child(4n+3),
.fluid-container.projets .col-4:nth-child(4n) {
    padding-right: calc(11.1111111% - 6.66px);
}
.fluid-container.projets .col-4{
    align-content: center;
}

.fluid-container.projets .projet-wrapper.landscape,
.fluid-container.projets [class*="col-"]{
    padding: 5.55555555% 0px;
}
.fluid-container.projets .projet-wrapper.landscape{
    /*
    padding-left: 0;
    padding-right: 0;
    */
}
main.main-images{
    padding-top: calc(11.11% + 50px);
}
main.main-selection h1{
    display: none;
}

main.main-images h1{
    display: none;
}
div.allimagescontainer{
    display: flex;
    flex-wrap: wrap;
    gap:67px;
}
div.allimagescontainer img{
    height: 200px;
    display: block;
    width: auto;
}
div.allimagescontainer .projettitle{
    position: absolute;
    line-height: 50px;
    opacity: 0;
    transition:opacity 0.2s linear;
    font-family: "GeneralGrotesqueMonoRegular";
}
div.allimagescontainer .imagewrapper{
    transition:opacity 0.2s linear;
}
div.allimagescontainer .imagewrapper.blurred{
    opacity:0.1;
}
div.allimagescontainer .projettitle.visible{
    opacity:1;
}


body.glightbox-open .glightbox-container .gslide,
body.glightbox-open .glightbox-container .gslide-media,
body.glightbox-open .glightbox-container .gslide-inner-content,
body.glightbox-open .glightbox-container .ginner-container{
    height: 100%;
    box-shadow: unset;
}

body.glightbox-open .glightbox-container .goverlay{
    background-color: var(--white);
}
body.glightbox-open .glightbox-container .gslide-media img{
    max-width: calc(100vw - 2rem);
    max-height: calc(100vh - 8rem) !important;
}
body.glightbox-open .glightbox-container .gslide-description{
    background: none;
    top:0;
    left:0;
    padding: 1rem;
    max-width: unset !important;
    position: absolute;
}
body.glightbox-open .glightbox-container .gdesc-inner{
    padding: 0;
}
body.glightbox-open .glightbox-container .gslide-title,
body.glightbox-open .glightbox-container .gslide-desc,
body.glightbox-open .glightbox-container .gslide-desc a{
    color: var(--black);
    font-weight: normal;
    font-family: "GeneralGrotesqueMonoRegular";
    font-size: 1em;
    margin: 0;
}
body.glightbox-open .glightbox-container .gslide-title{
    font-weight: bold;
}
body.glightbox-open .glightbox-container .gclose svg{
    display: none;
}
body.glightbox-open .glightbox-container .gclose {
  font-size: 1em;
  width: auto;
  height: auto;
  line-height: normal;
  background: none;    /* supprime le fond */
  text-transform: none;
}

body.glightbox-open .glightbox-container .gclose::before {
  content: "Fermer";
    font-family: "GeneralGrotesqueMonoRegular";
  font-size: 1em;
}

body.glightbox-open .glightbox-container .glightbox-pagination{    
    position: absolute;
    bottom: 1rem;
    z-index: 100;
    font-family: "GeneralGrotesqueMonoRegular";
    width: 100%;
    text-align: center;
}

body.glightbox-open .glightbox-container .gslide-media{
    position: relative;
    margin-top: 4rem;
    margin-bottom: 4rem;
}
body.glightbox-open .glightbox-container .gslide-media .hoverzone{
    width: 100%;
    height: 100%;
    position: absolute;
    display: flex;
}
body.glightbox-open .glightbox-container .gslide-media .hoverzone .prev,
body.glightbox-open .glightbox-container .gslide-media .hoverzone .next{
    width: 50%;
    height: 100%;
}
body.glightbox-open .glightbox-container .gslide-media .hoverzone .prev{
    cursor: w-resize;
}
body.glightbox-open .glightbox-container .gslide-media .hoverzone .next{
    cursor: e-resize;
}
body.glightbox-open .glightbox-container .gprev,
body.glightbox-open .glightbox-container .gnext{
    display: none;
}

main.main-infos .infoscolumns{
    display: flex;
    justify-content: space-between;
}
main.main-infos .infoscolumn{
    width: calc(44.44% - 6.66px);
    z-index: 1;
}
main.main-infos .listes{
    display: flex;
    margin-bottom: 25%;
    justify-content: space-between;
}
main.main-infos h1{
    display: none;
}
main.main-infos .clients,
main.main-infos .services{
    width:44.44%;
}
#content-wrapper.infos,
#content-wrapper.infos .header{
    background-color: var(--rose);
}
main.main-selection .chapo a,
main.main-infos a{
    text-decoration: underline;
    text-decoration-thickness: from-font;
    text-underline-position: from-font;
}
main.main-infos .contactinfo a{
    text-decoration-thickness: auto;
}
main.main-infos .cagoule1{
    background-image: url('../icons/cagoule1.svg');
}
main.main-infos .cagoule2{
    background-image: url('../icons/cagoule2.svg');
}
main.main-infos .cagoule1,
main.main-infos .cagoule2{
    position:fixed;
    pointer-events: none;
    bottom: 1rem;
    left: 12px;
    width: calc(11.11% - 10.67px);
    height: 100%;
    background-position: bottom;
    background-repeat: no-repeat;
    background-size: contain;
}
main.main-infos .cagoule2{
    left:calc(11.11% + 12px);
}


/*
.projets li.projetcard{
    width: 46%;
}
.projets .gutter-sizer{
    width:8%;
    height: 1px;
}
.projets li.projetcard.nth-even figure{
    padding-left: 15%;
}
.projets li.projetcard.nth-odd figure{
    padding-right: 15%;
}
.projets li.projetcard.hori figure{
    padding: 0;
}
    */

/*@media (max-width:768px){*/
@media (max-width:60rem){
    .header{
        justify-content: space-between;
    }
    .header .logo{
        width: auto;
    }
    .header .menu{
        margin-left: -0.5rem;
        margin-right: -0.5rem;
    }
    .menu a{
        padding: 1rem 0.5rem;
    }
    h1, 
    h2, 
    .blocks>.block-type-textblock div.big,
    main.main-selection .chapo,
    main.main-infos .chapo{
        font-family: "CambonNarrow";
        /*font-size: 49.6px;*/
        font-size: calc((100vw - var(--padding) * 2) / 10);
        line-height: 1.1;
    }
    /*
    .text{
        font-size: 1.5rem;
    }
        */

    main.main-selection .chapo{
        width: 100%;
    }
    .fluid-container.projets .col-4:nth-child(even){
        margin: 0;
    }
    .fluid-container.projets .projet-wrapper:nth-child(odd) {
        padding-left: 22.222%;
        padding-right: 0;
    }

    .fluid-container.projets .projet-wrapper:nth-child(even) {
        padding-right: 22.222%;
        padding-left: 0;
    }
    .projets h2.fixedtitle {
        position: relative;
        display: block;
        opacity: 1;
        top: 0;
        left: 0;
        transform: none;
        max-width: unset;
        font-size: 1rem;
        text-align: left;
        font-weight: bold;
        font-family: "GeneralGrotesqueMonoRegular";
        line-height: unset;
    }
    .img-caption, 
    .video-caption{
        line-height: 1.3;
        padding: 0;
    }
    .main-selection .img-caption, 
    .main-selection .video-caption{
        padding: 0.5rem 0;
    }
    .projets .tags{
        line-height: 1.8rem;
    }
    .main-projet .projettags,
    .main-projets .projettags{
        display: none;
    }
    .main-projet .projetclients,
    .main-projets .projetclients{
        padding-top: 0;
    }
    main.main-projets a .projet-row:hover{
        background-color: unset;
    }
    main.main-projets a:hover .cover{
        display: none;
    }
    main.main-projets a .projet-row.current{
        background-color: var(--rose);
    }
    main.main-projets .projet-row.current~.cover{
        display: block;
        width: 44.44%;
    }
    .main-images div.allimagescontainer{
        gap: 24px;
    }
    .main-images div.allimagescontainer img{
        height: 100px;
    }
    .gslide-image img{
        max-width: calc(100vw - 2rem);
    }

    .projet .heading{
        max-width: unset;
    }
    .main-selection .chapo,
    .projet .heading,
    .projet .column,
    .projet .column.half{
        margin-bottom: 100px;
    }
    .projet .column.empty{
        margin-bottom: 0;
    }
    .projet .blocks .block~.block{
        margin-top: 100px;
    }
    .videoblock .controls{
        padding:1rem;
    }
    .projet .bottomtext{
        font-size:1.5rem;
    }
    main.main-infos .infoscolumns{
        flex-wrap: wrap;
        gap: 93px;
    }
    main.main-infos .infoscolumn {
        width: 100%;
    }
    main.main-infos .infoscolumn:nth-child(2) {
        display: flex;
        flex-direction: column;
        gap: 92px;
    }
    main.main-infos .body,
    main.main-infos .listes{
        margin-bottom: 0;
    }
    main.main-infos .listes{
        flex-wrap: wrap;
        gap: 2rem;
    }
    main.main-infos .clients, 
    main.main-infos .services{
        width: 100%;
    }
    main.main-infos .cagoule1,
    main.main-infos .cagoule2{
        position: absolute;
        width: calc(50% - 12px);
        height: 72vw;
        left: 0;
        display: inline-block;
        top: 0;
    }
    main.main-infos .pagefooter{
        position: relative;
        padding-top: calc(72vw + 2rem);
    }
    main.main-infos .cagoule2{
        left: unset;
        right: 0;
    }
    .grid{
        display: block;
    }
}




/* CORRECTIONS MANU 16 AVRIL */

/*Probleme safari et firefox*/
.block-type-image, .block-type-videoblock {
    display: grid;
}

/* update largeur medias pas fullwidth */
@media screen and (min-width: 60rem) {
    .projet figure:not(.fullwidth) {
        max-width: calc(77.77% - var(--gutter) * 0.25);
    }
    .projet .half figure:not(.fullwidth) {
        max-width: calc(75% - var(--gutter) * 0.25);
    }
}